Browser Requirements

These requirements apply to , which interacts with the platform through the browser.

NOTE: Parts of the application may become hidden or distorted unless zoom level is set to 100%.


NOTE: In some cases, ad blocking extensions in your browser, such as AdBlock, can interfere with features of the product. If you are experiencing issues with some , you may need to disable any ad blockers.


NOTE: Multiple browser tabs or windows open to different versions of the product is not supported.


NOTE: If you are using the , an installed instance of Chrome is not required. Additional requirements are listed below.

Google Chrome

The  requires the use of Google-supported client extensions.

Supported desktop Google Chrome clients:

ClientNotes
PNaCl

Additional installation and enablement is required on each desktop. See below.

Support for PNaCl desktop client is likely to be deprecated in a future release. Please upgrade your Google Chrome browser to 68+.


WebAssembly

Use of WebAssembly must be enabled in the platform. No other configuration is required.

For more information, see Miscellaneous Configuration.

Browser version

Version: Google Chrome v.68, v.69, and any stable of version that is released prior to the next release of .

NOTE: To access you must use a supported desktop version of the Google Chrome browser, unless you are using .


NOTE: Mobile browsers and Google Chromebook are not supported.

PNaCl client

When the Photon running environment is enabled, Chrome's Portable Native Client (PNaCl) component must be enabled, as well.

NOTE: By default, the Photon running environment is enabled. In most deployments, the PNaCl component is required in your browser.

The component is downloaded from Google and updated after Chrome's installation. Therefore, an internet connection is required for its initial download. Notes:

Ports

For more information on required client ports, see System Ports.

Desktop Requirements

The following requirements apply to your local system.

General Requirements

 Requirements

The  can be used locally to interact with  and can be installed in your local environment. Please verify that the following requirements are met.

Windows requirements

Windows execution

When the installation is completed, most users should be able to launch the local application without issues. If you are experiencing issues launching the application, please verify that all DLL and EXE files in the following directory are executable:

Tip: This requirement typically applies to more secure environments. Most desktop users should not have to modify permissions.


C:\Users\<username>\AppData\Local\Trifacta\Trifacta Wrangler Enterprise\